# wxFilterOutputStream Class Reference
[Streams]

`#include <wx/stream.h>`

Inheritance diagram for wxFilterOutputStream:
[legend]

## Detailed Description

A filter stream has the capability of a normal stream but it can be placed on top of another stream.

So, for example, it can compress, encrypt the data which are passed to it and write them to another stream.

Note:
  The use of this class is exactly the same as of wxOutputStream. Only a constructor differs and it is documented below.

##

Library: wxBase
Category: Streams

See also:
  wxFilterClassFactory, wxFilterInputStream

## Public Member Functions
| wxFilterOutputStream (wxOutputStream &stream)
| Initializes a "filter" stream.
| wxFilterOutputStream (wxOutputStream *stream)
| Initializes a "filter" stream.

List of all members.

## Constructor & Destructor Documentation

wxFilterOutputStream::wxFilterOutputStream | ( | wxOutputStream & | stream | ) |

Initializes a "filter" stream.

If the parent stream is passed as a pointer then the new filter stream takes ownership of it. If it is passed by reference then it does not.

wxFilterOutputStream::wxFilterOutputStream | ( | wxOutputStream * | stream | ) |

Initializes a "filter" stream.

If the parent stream is passed as a pointer then the new filter stream takes ownership of it. If it is passed by reference then it does not.

|  | [ top ]